Upgrade bazlets to latest stable-2.14

To use the now mandatory https protocol for MAVEN_CENTRAL.

Bug: Issue 12170
Change-Id: I0fbe01700706e4ca7b7fcfce63a9567d2abc47b2
diff --git a/WORKSPACE b/WORKSPACE
index 1df402b..bf32292 100644
--- a/WORKSPACE
+++ b/WORKSPACE
@@ -3,7 +3,7 @@
 load("//:bazlets.bzl", "load_bazlets")
 
 load_bazlets(
-    commit = "e48c6a61d5a3f9ab4589f324fc85b8e3777d8854",
+    commit = "b07aa8462f2618a83f3b52d6150faa831b24d3e3",
     #local_path = "/home/<user>/projects/bazlets",
 )